framework:
  name: 'Model Openness Framework'
  version: '1.0'
  date: '2024-12-15'
release:
  name: GPT-3-Finnish
  version: 13B
  date: '2024-11-15'
  type: language
  architecture: 'transformer decoder'
  origin: GPT
  producer: 'University of Turku'
  contact: ''
  huggingface: 'https://huggingface.co/TurkuNLP/gpt3-finnish-large'
  components:
    -
      name: 'Model architecture'
      description: "Well commented code for the model's architecture"
      location: ''
      license_name: Bloom
      license_path: ''
    -
      name: 'Data preprocessing code'
      description: 'Code for data cleansing, normalization, and augmentation'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Training code'
      description: 'Code used for training the model'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Inference code'
      description: 'Code used for running the model to make predictions'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Evaluation code'
      description: 'Code used for evaluating the model'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Supporting libraries and tools'
      description: "Libraries and tools used in the model's development"
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Model parameters (Final)'
      description: 'Trained model parameters, weights and biases'
      location: ''
      license_name: 'Component Component not included'
      license_path: ''
    -
      name: 'Model parameters (Intermediate)'
      description: 'Trained model parameters, weights and biases'
      location: ''
      license_name: Apache-2.0
      license_path: ''
    -
      name: Datasets
      description: 'Training, validation and testing datasets used for the model'
      location: ''
      license_name: 'Component Component not included'
      license_path: ''
    -
      name: 'Evaluation data'
      description: 'Data used for evaluating the model'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Model metadata'
      description: 'Any model metadata including training configuration and optimizer states'
      location: ''
      license_name: 'License not specified'
      license_path: ''
    -
      name: 'Sample model outputs'
      description: 'Examples of outputs generated by the model'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Model card'
      description: 'Model details including performance metrics, intended use, and limitations'
      location: ''
      license_name: 'Component not included'
      license_path: ''
    -
      name: 'Data card'
      description: 'Documentation for datasets including source, characteristics, and preprocessing details'
      location: ''
      license_name: 'License not specified'
      license_path: ''
    -
      name: 'Technical report'
      description: 'Technical report detailing capabilities and usage instructions for the model'
      location: ''
      license_name: 'License not specified'
      license_path: ''
    -
      name: 'Research paper'
      description: 'Research paper detailing the development and capabilities of the model'
      location: ''
      license_name: 'License not specified'
      license_path: ''
    -
      name: 'Evaluation results'
      description: 'The results from evaluating the model'
      location: ''
      license_name: 'Component not included'
      license_path: ''
